{% extends 'base.html.twig' %}

{% set bodyClass = 'registry_request show' %}
{% set menuItem = 'registry_request' %}

{% block title %}{{ 'registry.request.title.show'|trans }} - {{ parent() }}{% endblock %}

{% block body_head %}
    <h1>
        {{ 'registry.request.title.show'|trans }}
        <small>{{ object }}</small>
    </h1>
{% endblock %}

{% block breadcrumb %}
    {% set breadcrumb = [
        { 'name': 'registry.request.breadcrumb.list'|trans, 'link': path('registry_request_list') },
        { 'name': 'registry.request.breadcrumb.show'|trans({'%name%': object}) }
    ] %}
    {% include '_breadcrumb.html.twig' with {'breadcrumb': breadcrumb} %}
{% endblock %}

{% block body %}

    <div class="row">
        <div class="col-xs-12">
            <div class="action-bar">
                <a href="{{ path('registry_request_list') }}" class="btn btn-default">
                    <i class="fa fa-arrow-left"></i>
                    {{ 'registry.request.action.back_to_list'|trans }}
                </a>
                {% if is_granted('ROLE_USER') and object.deletedAt is null %}
                <a href="{{ path('registry_request_edit', {'id': object.id}) }}" class="btn btn-default">
                    <i class="fa fa-pencil-alt"></i>
                    {{ 'action.edit'|trans }}
                </a>
                {% endif %}
            </div>
        </div>
    </div>

    <div class="row">
        {# LEFT #}
        <div class="col-md-6">
            {# REQUEST #}
            <div class="box box-solid box-primary">
                <div class="box-header with-border"><h3 class="box-title">{{ 'registry.request.tab.request'|trans }}</h3></div>
                <div class="box-body no-padding">
                    <table class="table">
                        <tbody>
                        <tr>
                            <td><strong>{{ 'registry.request.show.object'|trans }}</strong></td>
                            <td>{{ object.object|dictionary('registry_request_object') }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.request.show.other_object'|trans }}</strong></td>
                            <td>{{ object.otherObject }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.request.show.date'|trans }}</strong></td>
                            <td>{{ object.date|date('d/m/Y') }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.request.show.reason'|trans }}</strong></td>
                            <td>{{ object.reason }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.request.show.complete'|trans }}</strong></td>
                            <td>
                                {% if object.complete %}
                                    <span class="label label-success">{{ 'label.yes'|trans }}</span>
                                {% else %}
                                    <span class="label label-danger">{{ 'label.no'|trans }}</span>
                                {% endif %}
                            </td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.request.show.legitimate_applicant'|trans }}</strong></td>
                            <td>
                                {% if object.legitimateApplicant %}
                                    <span class="label label-success">{{ 'label.yes'|trans }}</span>
                                {% else %}
                                    <span class="label label-danger">{{ 'label.no'|trans }}</span>
                                {% endif %}
                            </td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.request.show.legitimate_request'|trans }}</strong></td>
                            <td>
                                {% if object.legitimateRequest %}
                                    <span class="label label-success">{{ 'label.yes'|trans }}</span>
                                {% else %}
                                    <span class="label label-danger">{{ 'label.no'|trans }}</span>
                                {% endif %}
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>

            {# ANSWER #}
            <div class="box box-solid box-info">
                <div class="box-header with-border"><h3 class="box-title">{{ 'registry.request.tab.answer'|trans }}</h3></div>
                <div class="box-body no-padding">
                    <table class="table">
                        <tbody>
                        <tr>
                            <td><strong>{{ 'registry.request.show.answer_response'|trans }}</strong></td>
                            <td>{{ object.answer.response|nl2br }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.request.show.answer_date'|trans }}</strong></td>
                            <td>{% if object.answer.date %}{{ object.answer.date|date('d/m/Y') }}{% endif %}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.request.show.answer_type'|trans }}</strong></td>
                            <td>{% if object.answer.type is not null %}{{ object.answer.type|dictionary('registry_request_answer_type') }}{% endif %}</td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>

            {# HISTORIC #}
            <div class="box box-solid box-default">
                <div class="box-header with-border"><h3 class="box-title">{{ 'registry.request.tab.historic'|trans }}</h3></div>
                <div class="box-body no-padding">
                    <table class="table">
                        <tbody>
                        <tr>
                            <td><strong>{{ 'registry.request.show.creator'|trans }}</strong></td>
                            <td>
                                {{ object.creator }}
                            </td>
                        </tr>
                        {% if is_granted('ROLE_ADMIN') %}
                            <tr>
                                <td><strong>{{ 'registry.request.show.collectivity'|trans }}</strong></td>
                                <td>
                                    <a href="{{ path('user_collectivity_show', {'id': object.collectivity.id }) }}">
                                        {{ object.collectivity }}
                                    </a>
                                </td>
                            </tr>
                        {% endif %}
                        <tr>
                            <td><strong>{{ 'registry.request.show.created_at'|trans }}</strong></td>
                            <td>{{ object.createdAt|date('d/m/Y H:i') }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.request.show.updated_at'|trans }}</strong></td>
                            <td>{{ object.updatedAt|date('d/m/Y H:i') }}</td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>


        {# RIGHT #}
        <div class="col-md-6">
            {# APPLICANT #}
            <div class="box box-solid box-success">
                <div class="box-header with-border"><h3 class="box-title">{{ 'registry.request.tab.applicant'|trans }}</h3></div>
                <div class="box-body no-padding">
                    <table class="table">
                        <tbody>
                        <tr>
                            <td><strong>{{ 'registry.request.show.applicant_civility'|trans }}</strong></td>
                            <td>{{ object.applicant.civility|dictionary('registry_request_civility') }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.request.show.applicant_first_name'|trans }}</strong></td>
                            <td>{{ object.applicant.firstName }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.request.show.applicant_last_name'|trans }}</strong></td>
                            <td>{{ object.applicant.lastName }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.request.show.applicant_address'|trans }}</strong></td>
                            <td>{{ object.applicant.address }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.request.show.applicant_mail'|trans }}</strong></td>
                            <td>{{ object.applicant.mail }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.request.show.applicant_phone_number'|trans }}</strong></td>
                            <td>{{ object.applicant.phoneNumber }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.request.show.applicant_concerned_people'|trans }}</strong></td>
                            <td>
                                {% if object.applicant.concernedPeople %}
                                    <span class="label label-success">{{ 'label.yes'|trans }}</span>
                                {% else %}
                                    <span class="label label-danger">{{ 'label.no'|trans }}</span>
                                {% endif %}
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>

            {# CONCERNED PEOPLE #}
            {% if not object.applicant.concernedPeople %}
            <div class="box box-solid box-warning">
                <div class="box-header with-border"><h3 class="box-title">{{ 'registry.request.tab.concerned_people'|trans }}</h3></div>
                <div class="box-body no-padding">
                    <table class="table">
                        <tbody>
                        <tr>
                            <td><strong>{{ 'registry.request.show.concerned_people_civility'|trans }}</strong></td>
                            <td>
                                {% if object.concernedPeople.civility %}
                                    {{ object.concernedPeople.civility|dictionary('registry_request_civility') }}
                                {% endif %}
                            </td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.request.show.concerned_people_first_name'|trans }}</strong></td>
                            <td>{{ object.concernedPeople.firstName }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.request.show.concerned_people_last_name'|trans }}</strong></td>
                            <td>{{ object.concernedPeople.lastName }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.request.show.concerned_people_address'|trans }}</strong></td>
                            <td>{{ object.concernedPeople.address }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.request.show.concerned_people_mail'|trans }}</strong></td>
                            <td>{{ object.concernedPeople.mail }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.request.show.concerned_people_phone_number'|trans }}</strong></td>
                            <td>{{ object.concernedPeople.phoneNumber }}</td>
                        </tr>
                        <tr>
                            <td><strong>{{ 'registry.request.show.concerned_people_link_with_applicant'|trans }}</strong></td>
                            <td>{{ object.concernedPeople.linkWithApplicant }}</td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            {% endif %}

            {# PROOFS #}
            {% include '_Utils/_show_block_proofs.html.twig' with { proofs: object.proofs } %}
        </div>

    </div>
{% endblock %}
